blob: 1e709de1b9445b4d3a93f3ae374c82db122187c1 [file] [log] [blame]
DEFINED_PHASES=compile configure install postinst postrm prepare setup test unpack
DEPEND=dev-db/sqlite:3 dev-libs/icu:= >=dev-libs/leveldb-1.18-r1 dev-libs/libxml2:2 dev-libs/libxslt ~dev-qt/qtcore-5.6.2[icu] ~dev-qt/qtgui-5.6.2 ~dev-qt/qtnetwork-5.6.2 ~dev-qt/qtsql-5.6.2 ~dev-qt/qtwidgets-5.6.2 media-libs/fontconfig:1.0 media-libs/libpng:0= >=sys-libs/zlib-1.2.5 virtual/jpeg:0 virtual/opengl x11-libs/libX11 x11-libs/libXcomposite x11-libs/libXrender geolocation? ( ~dev-qt/qtpositioning-5.6.2 ) gstreamer? ( dev-libs/glib:2 media-libs/gstreamer:1.0 media-libs/gst-plugins-base:1.0 ) gstreamer010? ( dev-libs/glib:2 media-libs/gstreamer:0.10 media-libs/gst-plugins-base:0.10 ) multimedia? ( ~dev-qt/qtmultimedia-5.6.2[widgets] ) opengl? ( ~dev-qt/qtopengl-5.6.2 ) orientation? ( ~dev-qt/qtsensors-5.6.2 ) printsupport? ( ~dev-qt/qtprintsupport-5.6.2 ) qml? ( ~dev-qt/qtdeclarative-5.6.2 ) webchannel? ( ~dev-qt/qtwebchannel-5.6.2 ) webp? ( media-libs/libwebp:0= ) || ( >=dev-lang/python-2.7.5-r2:2.7 ) dev-lang/ruby dev-util/gperf sys-devel/bison sys-devel/flex virtual/rubygems dev-lang/perl virtual/pkgconfig test? ( ~dev-qt/qttest-5.6.2 )
DESCRIPTION=WebKit rendering library for the Qt5 framework (deprecated)
EAPI=6
HOMEPAGE=https://www.qt.io/
IUSE=geolocation gstreamer gstreamer010 +jit multimedia opengl orientation printsupport qml webchannel webp debug test
KEYWORDS=~amd64 ~arm ~arm64 ~ppc64 ~x86
LICENSE=|| ( LGPL-2.1 LGPL-3 ) FDL-1.3
RDEPEND=dev-db/sqlite:3 dev-libs/icu:= >=dev-libs/leveldb-1.18-r1 dev-libs/libxml2:2 dev-libs/libxslt ~dev-qt/qtcore-5.6.2[icu] ~dev-qt/qtgui-5.6.2 ~dev-qt/qtnetwork-5.6.2 ~dev-qt/qtsql-5.6.2 ~dev-qt/qtwidgets-5.6.2 media-libs/fontconfig:1.0 media-libs/libpng:0= >=sys-libs/zlib-1.2.5 virtual/jpeg:0 virtual/opengl x11-libs/libX11 x11-libs/libXcomposite x11-libs/libXrender geolocation? ( ~dev-qt/qtpositioning-5.6.2 ) gstreamer? ( dev-libs/glib:2 media-libs/gstreamer:1.0 media-libs/gst-plugins-base:1.0 ) gstreamer010? ( dev-libs/glib:2 media-libs/gstreamer:0.10 media-libs/gst-plugins-base:0.10 ) multimedia? ( ~dev-qt/qtmultimedia-5.6.2[widgets] ) opengl? ( ~dev-qt/qtopengl-5.6.2 ) orientation? ( ~dev-qt/qtsensors-5.6.2 ) printsupport? ( ~dev-qt/qtprintsupport-5.6.2 ) qml? ( ~dev-qt/qtdeclarative-5.6.2 ) webchannel? ( ~dev-qt/qtwebchannel-5.6.2 ) webp? ( media-libs/libwebp:0= ) dev-qt/qtchooser
REQUIRED_USE=?? ( gstreamer gstreamer010 multimedia )
RESTRICT=mirror test
SLOT=5/5.6
SRC_URI=https://download.qt.io/community_releases/5.6/5.6.2/qtwebkit-opensource-src-5.6.2.tar.xz
_eclasses_=eutils b83a2420b796f7c6eff682679d08fe25 flag-o-matic 8632fcd33a047954f007dee9a137bdcc multilib 165fc17c38d1b11dac2008280dab6e80 python-any-r1 1c20f9b800324335a8e3b137363362e8 python-utils-r1 1797277ea0e7cee5c7de7ce74cf8acd8 qt5-build c08fc6c5028076eb1a42b7edc5847f42 toolchain-funcs 6198c04daba0e1307bd844df7d37f423 versionator 99ae9d758cbe7cfed19170e7d48f5a9c virtualx 86c9305a59b3e0459e7fbef3a5f30b96
_md5_=5206ccce2364f6aa674d6cb85328f497